Bug 1361068 - [RFE] Tier Events
Summary: [RFE] Tier Events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Milind Changire
QA Contact: Sweta Anandpara
URL:
Whiteboard: USM-Gluster integration
Depends On: 1368336 1374324
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-28 09:48 UTC by Nithya Balachandran
Modified: 2017-03-23 05:40 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1368336 1374324 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:40:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Nithya Balachandran 2016-07-28 09:48:30 UTC
Description of problem:
This RFE is to track the changes required in the Tier component to generate the events to be consumed by the eventing framework.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Dan Lambright 2016-08-19 20:35:29 UTC
Need events for:

attach/detach tier

cross upper or lower watermark (upwards or downwards)

pause/unpause

Comment 4 Atin Mukherjee 2016-08-22 11:17:27 UTC
http://review.gluster.org/#/c/15232 posted upstream for review.

Comment 5 Atin Mukherjee 2016-09-16 14:46:05 UTC
https://code.engineering.redhat.com/gerrit/#/c/84832/ is merged now.

Comment 8 Sweta Anandpara 2016-11-15 10:52:22 UTC
Tested and verified this on the build 3.8.4-x

Have already seen and unit-tested the below mentioned events:
EVENT_TIER_ATTACH
EVENT_TIER_ATTACH_FORCE
EVENT_TIER_DETACH_START
EVENT_TIER_DETACH_STOP
EVENT_TIER_DETACH_COMMIT
EVENT_TIER_DETACH_FORCE
EVENT_TIER_PAUSE
EVENT_TIER_RESUME
EVENT_TIER_WATERMARK_HI
EVENT_TIER_WATERMARK_DROPPED_TO_MID
EVENT_TIER_WATERMARK_RAISED_TO_MID
EVENT_TIER_WATERMARK_DROPPED_TO_LOW
EVENT_TIER_START_FORCE

{u'message': {u'vol': u'disp'}, u'event': u'TIER_ATTACH', u'ts': 1476851091, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_ATTACH_FORCE', u'ts': 1477027592, u'nodeid': u'0dea52e0-8c32-4616-8ef8-16db16120eaa'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_DETACH_START', u'ts': 1476849940, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_DETACH_STOP', u'ts': 1476850435, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_DETACH_COMMIT', u'ts': 1476850835, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_DETACH_FORCE', u'ts': 1476851590, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_PAUSE', u'ts': 1476939335, u'nodeid': u'1e8967ae-51b2-4c27-907e-a22a83107fd0'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_RESUME', u'ts': 1476937305, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_WATERMARK_HI', u'ts': 1476938522, u'nodeid': u'0dea52e0-8c32-4616-8ef8-16db16120eaa'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_WATERMARK_DROPPED_TO_MID', u'ts': 1476938729, u'nodeid': u'72c4f894-61f7-433e-a546-4ad2d7f0a176'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_WATERMARK_RAISED_TO_MID', u'ts': 1476873154, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'disp'}, u'event': u'TIER_WATERMARK_DROPPED_TO_LOW', u'ts': 1476939102, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'vol': u'ozone'}, u'event': u'TIER_START_FORCE', u'ts': 1479117084, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}

Bugzillas have been raised for unexpected behaviour seen in certain tier related events. Moving this blanket BZ to verified in 3.2

Comment 10 errata-xmlrpc 2017-03-23 05:40:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.